services:
  mymariadb:
    image: mariadb:latest
    container_name: monprof-ci-mariadb
    environment:
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}  # Mot de passe root pour MariaDB
      MYSQL_DATABASE: ${MYSQL_DATABASE}         # Nom de la base de données (optionnel)
      MYSQL_USER: ${MYSQL_USER}                 # Utilisateur (optionnel)
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}       # Mot de passe de l'utilisateur (optionnel)
    volumes:
      - db_data:/var/lib/mysql           # Volume persistant pour les données de MariaDB
    ports:
      - "3306:3306"                      # Port MariaDB exposé sur le hôte
    restart: always

  phpmyadmin:
    image: phpmyadmin:latest
    container_name: monprof-ci-phpmyadmin
    depends_on:
      - mymariadb                           # Attend que MariaDB soit prêt avant de démarrer
    environment:
      PMA_HOST: mymariadb                  # Hôte MariaDB
      PMA_PORT: 3306                     # Port MariaDB
      # PMA_ARBITRARY: 1                   # Autorise la connexion à n'importe quelle base de données
    ports:
      - "8081:80"                        # Port phpMyAdmin exposé sur le hôte
    restart: always

volumes:
  db_data:                               # Volume pour les données de MariaDB